ASIN(3)

NAME
asin, asinf, asinl - arc sine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
asin(double x);
float
asinf(float x);
long double
asinl(long double x);

DESCRIPTION
The asin(), asinf(), and asinl() functions compute the principal value of the arc sine of x.

RETURN VALUES
These functions return the arc sine in the range [-/2, +/2] radians. If:

    |x| > 1

asin(x) raises an invalid exception and returns an .

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), cosh(3), fenv(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The asin(), asinf(), and asinl() functions conform to isoC-99.